<!-- markdownlint-disable MD033 MD041 -->
<p align="center">
  <img src="https://depictio.github.io/depictio-docs/images/logo/logo_hd.png" alt="Depictio logo" width=300>
</p>

<div align="center">
<!-- markdownlint-enable MD033 -->

## Project Information

[![License](https://img.shields.io/github/license/depictio/depictio?style=flat-square&logo=opensourceinitiative)](LICENSE)
[![Release](https://img.shields.io/github/v/release/depictio/depictio?style=flat-square&logo=github)](https://github.com/depictio/depictio/releases)
[![Python](https://img.shields.io/badge/python->=3.11-blue?style=flat-square&logo=python)](https://www.python.org/)

## We rely on

[![FastAPI](https://img.shields.io/badge/FastAPI-latest?style=flat-square&logo=fastapi&color=66C2B2)](https://fastapi.tiangolo.com/)
[![Dash](https://img.shields.io/badge/Dash-latest?style=flat-square&logo=plotly&color=7DBEFF)](https://dash.plotly.com/)
[![MongoDB](https://img.shields.io/badge/MongoDB-latest?style=flat-square&logo=mongodb&color=8FCA82)](https://www.mongodb.com/)
[![MinIO](https://img.shields.io/badge/MinIO-latest?style=flat-square&logo=minio&color=E88A97)](https://min.io/)
[![Pydantic](https://img.shields.io/badge/Pydantic-latest?style=flat-square&logo=pydantic&color=F18AAF)](https://pydantic-docs.helpmanual.io/)
[![Polars](https://img.shields.io/badge/Polars-latest?style=flat-square&logo=polars&color=EDBB85)](https://pola-rs.github.io/polars-book/)

## Container

[![GitHub Package](https://img.shields.io/badge/GitHub%20Package-depictio-blue?style=flat-square&logo=docker)](https://github.com/depictio/depictio/pkgs/container/depictio)
[![Platforms](https://img.shields.io/badge/platforms-amd64%20|%20arm64-blue?style=flat-square&logo=linux)](https://github.com/depictio/depictio/pkgs/container/depictio)
[![Stars](https://img.shields.io/github/stars/depictio/depictio?style=flat-square&logo=github)](https://github.com/depictio/depictio)

## Quality

[![Ruff](https://img.shields.io/badge/code%20style-ruff-000000?style=flat-square&logo=python)](https://github.com/astral-sh/ruff)
[![Test Status](https://img.shields.io/github/actions/workflow/status/depictio/depictio/deploy.yaml?label=tests&style=flat-square&logo=github-actions)](https://github.com/depictio/depictio/actions/workflows/deploy.yaml)
[![GitHub issues](https://img.shields.io/github/issues/depictio/depictio?style=flat-square&logo=github)](https://github.com/depictio/depictio/issues)

## Documentation

[![Documentation](https://img.shields.io/badge/docs-latest-blue?style=flat-square&logo=gitbook)](https://depictio.github.io/depictio-docs/latest/)

## Gitpod quickstart

[![Open in Gitpod](https://gitpod.io/button/open-in-gitpod.svg)](https://gitpod.io/#https://github.com/depictio/depictio)

</div>

Depictio is a modern, interactive platform that enables dashboards creation from bioinformatics workflows outputs. The system is designed to be running through helm/kubernetes or docker-compose, and is built on top of FastAPI and Dash.

**Homepage**: [depictio.github.io](https://depictio.github.io/depictio-docs/latest/)

Copyright(c) 2023-2025 Thomas Weber <thomas.weber@embl.de> (see LICENSE)
